//+------------------------------------------------------------------+
//|                                             WMA and EMA test.mq4 |
//|                                                             BoBo |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "BoBo"
//----
extern double Lots = 0.01;
extern double TakeProfit = 0.015;
extern double StopLoss = 10;
extern double optimum = 13;
//----
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   double mas = iMA(NULL,0,20,0,3,0,0);
   double pmas = iMA(NULL,0,20,0,3,0,15);
   double maf = iMA(NULL,0,5,0,1,0,0);
   double pmaf = iMA(NULL,0,5,0,1,0,15);
   double spread  = MarketInfo("USD/JPY", MODE_SPREAD);
//----
   while(mas < maf && pmas > pmaf )
   {
      
      
         OrderSend(Symbol(),OP_BUY,Lots,Ask,3,Bid-StopLoss-spread*Point,Ask+TakeProfit+spread*Point);
         return;
      
   }
//----
   while(mas > maf && pmas < pmaf )
   {
         
         OrderSend(Symbol(),OP_BUY,Lots,Bid,3,Ask+StopLoss+spread*Point,Bid-TakeProfit-spread*Point);
         return;
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+